﻿#language: ru

@scp

Функционал: 007. SCP. АРМ планирования цепочек поставок с настроенными НСИ

Сценарий: 007.0. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Подготовка.

	Дано Я подключаюсь под "Планирование цепочек поставок"
	Дано я удаляю объекты "Документы.к2ЗаявкаНаПроизводство" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ЗаказНаПеремещение" без контроля ссылок
	Дано я удаляю объекты "Документы.ЗаказПоставщику" без контроля ссылок

Сценарий: 007.1. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Заполнение.
	
	Дано Я открываю и заполняю АРМ SCP
	* Проверка таблиц
			Тогда элемент формы с именем "Сценарий" стал равен 'Сценарий SCP'
			И элемент формы с именем "ДатаПолученияОстатков" стал равен '23.08.2020  0:00:00'
			И элемент формы с именем "ВариантНачалаПериода" стал равен '19.08.2020'
			И элемент формы с именем "ПериодовПланирования" стал равен '8'
			И элемент формы с именем "ПериодичностьПланирования" стал равен 'День'
			Тогда таблица "Потребности" стала равной:
				| 'N'  | 'Номенклатура'                                | 'Характеристика' | 'План' | 'Начало периода' | 'Склад'              | 'Период'        | 'Волна'         |
				| '1'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '100'  | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
				| '2'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '150'  | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
				| '3'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '150'  | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
				| '4'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '100'  | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
				| '5'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '150'  | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
				| '6'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '150'  | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
				| '7'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '100'  | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
				| '8'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '150'  | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
				| '9'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '150'  | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |
				| '10' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '100'  | '24.08.20 00:00' | 'Основной склад ООО' | '24.08.20 (Пн)' | '1 [7:00-9:00]' |
				| '11' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '150'  | '25.08.20 00:00' | 'Основной склад ООО' | '25.08.20 (Вт)' | '1 [7:00-9:00]' |
				| '12' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '150'  | '26.08.20 00:00' | 'Основной склад ООО' | '26.08.20 (Ср)' | '1 [7:00-9:00]' |

			И у элемента формы с именем "Потребности_ВариантЗаполнения" текст редактирования стал равен 'Заполнить по заказам'
			И таблица "ДвиженияТоваров" стала равной:
				| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'              | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'    | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО' | ''       | '25'        | ''       | '25'       | 'Остаток'     | '20'   | '50'   | '500'   | '1'                          |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '25'        | '100'    | '-75'      | 'Потребность' | '30'   | '100'  | '490'   | '1'                          |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | '20'   | '90'   | '480'   | '1'                          |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | '10'   | '80'   | '470'   | '1'                          |
				| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | ''     | ''     | ''      | '1'                          |
				| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность' | ''     | ''     | ''      | '1'                          |

			Тогда в таблице "ПлановыеДвижения" количество строк "равно" 0
			Тогда в таблице "Лог" количество строк "равно" 0

Сценарий: 007.2. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Форма обеспечения.

	Когда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ДвиженияТоваровДвижения_Заполнить'
	И в таблице "ДвиженияТоваров" я перехожу к строке:
		| 'Номенклатура'                                | 'Период'             |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | '24.08.20 07:00' |
	И я нажимаю на кнопку 'Обеспечить'
	Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
	И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
	И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'Только потребности'		
	* Состояние формы
		Тогда элемент формы с именем "СхемаОбеспечения" стал равен 'Белоусово->Основной'
		Тогда элемент формы с именем "ГрафикРаботы" стал равен ''
		Тогда элемент формы с именем "ТекущийВыпуск" стал равен '0'
		Тогда у элемента формы с именем "ДатаВыпуска" текст редактирования стал равен '19.08.2020'
		Тогда элемент формы с именем "ВремяВыпуска" стал равен '07:00'
		Тогда таблица "План" стала равной:
			| 'Номенклатура'                                | 'Характеристика' | 'СтрокБезНарушений' | 'Отправитель'        | 'План' | 'Склад'              | 'Обеспечить' | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений мин. запаса' | 'Нарушений рек. запаса' | 'Документ' | 'Нарушений макс. запаса' | 'Длительность' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | ''                  | 'Склад  в Белоусово' | '0'    | 'Основной склад ООО' | '0 (=)'      | '19.08.20 05:00' | '3'                      | ''                      | '2'                     | ''            | ''                       | '2 ч'          |
			| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | ''                  | 'Склад  в Белоусово' | '0'    | 'Основной склад ООО' | '0 (=)'      | '19.08.20 05:00' | '3'                      | ''                      | ''                      | ''            | ''                       | '2 ч'          |

		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
			| ''               | ''       | '20'         | 'Остаток'             | '25'        | ''       | '25'       | '50'        | '500'         |
			| '19.08.20 07:00' | '0'      | '20'         | 'Белоусово->Основной' | '25'        | ''       | '25'       | '50'        | '500'         |
			| '24.08.20 07:00' | ''       | '30'         | 'Потребность'         | '25'        | '100'    | '-75'      | '100'       | '490'         |
			| '25.08.20 07:00' | ''       | '20'         | 'Потребность'         | ''          | '150'    | '-150'     | '90'        | '480'         |
			| '26.08.20 07:00' | ''       | '10'         | 'Потребность'         | ''          | '150'    | '-150'     | '80'        | '470'         |

		Тогда таблица "ДвиженияМатериалов" стала равной:
			| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
			| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
			| '19.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | ''       | '110'      |
			| '19.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |

		Тогда в таблице "ОшибкиНСИ" количество строк "равно" 0
	* Перевыбор схемы
		И из выпадающего списка "Схема" я выбираю точное значение 'Переработка->Основной'
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '24.08.2020'
		И я перехожу к следующему реквизиту
	* Изменилось состояние формы
		Тогда элемент формы с именем "СхемаОбеспечения" стал равен 'Переработка->Основной'
		Тогда у элемента формы с именем "ДатаВыпуска" текст редактирования стал равен '24.08.2020'
		Тогда таблица формы с именем "План" стала равной:
			| 'Номенклатура'                          | 'Отправитель'              | 'Обеспечить' | 'Запуск'         | 'Нарушений рек. запаса' | 'Длительность' |
			| 'Колбаски для жарки  "С сыром" /подл./' | 'Цех глубокой переработки' | '100 (+100)' | '24.08.20 03:00' | ''                      | '4 ч'          |
			| 'Фарш куриный натуральный / подложка/'  | 'Цех глубокой переработки' | '100 (+100)' | '24.08.20 03:00' | ''                      | '4 ч'          |

		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'              | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
			| '24.08.20 07:00' | '0'      | ''           | 'Переработка->Основной' | ''          | ''       | ''         | ''          | ''            |
			| '24.08.20 07:00' | ''       | ''           | 'Потребность'           | ''          | '100'    | '-100'     | ''          | ''            |
			| '25.08.20 07:00' | ''       | ''           | 'Потребность'           | ''          | '150'    | '-150'     | ''          | ''            |
			| '26.08.20 07:00' | ''       | ''           | 'Потребность'           | ''          | '150'    | '-150'     | ''          | ''            |

		Тогда таблица "ДвиженияМатериалов" стала равной:
			| 'Период'         | 'Склад'                    | 'Номенклатура'                          | 'Источник'              | 'На начало' | 'Оборот' | 'На конец' |
			| '24.08.20 03:00' | 'Цех глубокой переработки' | 'Колбаски для жарки  "С сыром" /подл./' | 'Переработка->Основной' | ''          | ''       | ''         |
			| '24.08.20 03:00' | 'Цех глубокой переработки' | 'Фарш куриный натуральный / подложка/'  | 'Переработка->Основной' | ''          | ''       | ''         |

	* Добавить еще 2 варианта и обеспечить на 1 день каждый
		И из выпадающего списка "Схема" я выбираю точное значение 'Белоусово->Основной'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		Тогда элемент формы с именем "ТекущийВыпуск" стал равен '2'
		Тогда у элемента формы с именем "ДатаВыпуска" текст редактирования стал равен '26.08.2020'
		Тогда таблица формы с именем "План" стала равной:
			| 'СтрокБезНарушений' | 'План' | 'Обеспечить' | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений мин. запаса' | 'Нарушений рек. запаса' |
			| '3'                 | '150'  | '150 (=)'    | '26.08.20 05:00' | ''                       | '3'                     | '1'                     |
			| ''                  | '150'  | '150 (=)'    | '26.08.20 05:00' | ''                       | ''                      | ''                      |

		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
			| ''               | ''       | '20'         | 'Остаток'             | '25'        | ''       | '25'       | '50'        | '500'         |
			| '24.08.20 07:00' | '75'     | '30'         | 'Белоусово->Основной' | '25'        | ''       | '100'      | '100'       | '490'         |
			| '24.08.20 07:00' | ''       | '30'         | 'Потребность'         | '100'       | '100'    | ''         | '100'       | '490'         |
			| '25.08.20 07:00' | '150'    | '20'         | 'Белоусово->Основной' | ''          | ''       | '150'      | '90'        | '480'         |
			| '25.08.20 07:00' | ''       | '20'         | 'Потребность'         | '150'       | '150'    | ''         | '90'        | '480'         |
			| '26.08.20 07:00' | '150'    | '10'         | 'Белоусово->Основной' | ''          | ''       | '150'      | '80'        | '470'         |
			| '26.08.20 07:00' | ''       | '10'         | 'Потребность'         | '150'       | '150'    | ''         | '80'        | '470'         |

		Тогда таблица "ДвиженияМатериалов" стала равной:
			| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
			| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
			| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | '-75'    | '35'       |
			| '25.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '35'        | '-150'   | '-115'     |
			| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
			| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-100'   | '-100'     |
			| '25.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
			| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
	* Удаляю варианты, начиная с первого
		И я меняю значение переключателя 'ТекущийВыпуск' на '24.08 07:00'
		И я выбираю пункт контекстного меню "Удалить текущий выпуск" на элементе формы с именем "ТекущийВыпуск"
		И я выбираю пункт контекстного меню "Удалить текущий выпуск" на элементе формы с именем "ТекущийВыпуск"
		И таблица "ДвиженияТоваров" стала равной:
			| 'Период'      | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
			| ''            | ''       | '20'         | 'Остаток'             | '25'        | ''       | '25'       | '50'        | '500'         |
			| '24.08.20 07:00' | ''       | '30'         | 'Потребность'         | '25'        | '100'    | '-75'      | '100'       | '490'         |
			| '25.08.20 07:00' | ''       | '20'         | 'Потребность'         | ''          | '150'    | '-150'     | '90'        | '480'         |
			| '26.08.20 07:00' | '150'    | '10'         | 'Белоусово->Основной' | ''          | ''       | '150'      | '80'        | '470'         |
			| '26.08.20 07:00' | ''       | '10'         | 'Потребность'         | '150'       | '150'    | ''         | '80'        | '470'         |
		
		И таблица "ДвиженияМатериалов" стала равной:
			| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
			| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
			| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
			| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
	* Расчет обеспечения
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '23.08.2020'
		Когда из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
		Когда из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'Только потребности'
		Тогда таблица "План" стала равной:
			| 'Номенклатура'                                | 'Характеристика' | 'План' | 'Обеспечить' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '150'  | '0 (-150)'   |
			| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '150'  | '0 (-150)'   |
		Когда из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '2 дня'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '75 (-75)'   |
			| '100 (-50)'  |
		Когда из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '3 дня'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '225 (+75)'  |
			| '250 (+100)' |
		Когда из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '4 дня'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '375 (+225)' |
			| '400 (+250)' |
		Когда из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '5 дней'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '375 (+225)' |
			| '400 (+250)' |
		Когда из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '2 дня'
		Когда из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'До мин. запаса'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '105 (-45)'  |
			| '100 (-50)'  |
		И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'До рек. запаса'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '175 (+25)'  |
			| '100 (-50)'  |		
		И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'До макс. запаса'
		Тогда таблица формы с именем "План" стала равной:
			| 'Обеспечить' |
			| '565 (+415)' |
			| '100 (-50)'  |
	* Заполнение обеспечения по строке, на текущий день и на все дни
		* Очистка обеспечения
			И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
			И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'До мин. запаса'
			И в таблице "План" я перехожу к строке:
				| 'Номенклатура'                                | 'План' | 'Обеспечить' | 'Отправитель'        | 'Склад'              |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | '150'  | '0 (-150)'   | 'Склад  в Белоусово' | 'Основной склад ООО' |
			И в таблице "План" я активизирую поле с именем "ПланПредставлениеДляОбеспечения"
			И в таблице "План" я выбираю текущую строку
			И в таблице "План" я перехожу к строке:
				| 'Номенклатура'             | 'План' | 'Обеспечить' | 'Отправитель'        | 'Склад'              |
				| 'Цыплята 1 кат /подложка/' | '150'  | '0 (-150)'   | 'Склад  в Белоусово' | 'Основной склад ООО' |
			И в таблице "План" я активизирую поле с именем "ПланПредставлениеДляОбеспечения"
			И в таблице "План" я выбираю текущую строку
			Тогда таблица формы с именем "ДвиженияТоваров" стала равной:
				| 'Период'      | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
				| '23.08.20 07:00' | '0'      | ''           | 'Белоусово->Основной' | ''          | ''         | ''          | ''            |
				| '24.08.20 07:00' | ''       | ''           | 'Потребность'         | ''          | '-100'     | ''          | ''            |
				| '25.08.20 07:00' | ''       | ''           | 'Потребность'         | ''          | '-150'     | ''          | ''            |
				| '26.08.20 07:00' | ''       | ''           | 'Потребность'         | ''          | '-150'     | ''          | ''            |
			
			Тогда таблица "ДвиженияМатериалов" стала равной:
				| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
				| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | ''       | '110'      |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
			
			Тогда таблица формы с именем "План" стала равной:
				| 'СтрокБезНарушений' | 'План' | 'Обеспечить' | 'Нарушений потребностей' | 'Нарушений мин. запаса' |
				| ''                  | '0'    | '0 (=)'      | '3'                      | ''                      |
				| ''                  | '0'    | '0 (=)'      | '3'                      | ''                      |
		* Обеспечение при клике в ячейке
			И я меняю значение переключателя 'ТекущийВыпуск' на '+'
			Когда я жду открытия окна 'Обеспечить' в течение 20 секунд
			И в таблице "План" я активизирую поле с именем "ПланПредставлениеДляОбеспечения"
			И в таблице "План" я выбираю текущую строку
			Тогда таблица формы с именем "План" стала равной:
				| 'План' | 'Обеспечить' | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений рек. запаса' |
				| '105'  | '105 (=)'    | '24.08.20 05:00' | '2'                      | '3'                     |
				| '0'    | '100 (+100)' | '24.08.20 05:00' | '3'                      | ''                      |
			
			И таблица "ДвиженияТоваров" стала равной:
				| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
				| ''               | ''       | '20'         | 'Остаток'             | '25'        | ''       | '25'       | '50'        | '500'         |
				| '23.08.20 07:00' | '0'      | '20'         | 'Белоусово->Основной' | '25'        | ''       | '25'       | '50'        | '500'         |
				| '24.08.20 07:00' | '105'    | '30'         | 'Белоусово->Основной' | '25'        | ''       | '130'      | '100'       | '490'         |
				| '24.08.20 07:00' | ''       | '30'         | 'Потребность'         | '130'       | '100'    | '30'       | '100'       | '490'         |
				| '25.08.20 07:00' | ''       | '20'         | 'Потребность'         | '30'        | '150'    | '-120'     | '90'        | '480'         |
				| '26.08.20 07:00' | ''       | '10'         | 'Потребность'         | ''          | '150'    | '-150'     | '80'        | '470'         |
			
			И таблица "ДвиженияМатериалов" стала равной:
				| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
				| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | ''       | '110'      |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | '-105'   | '5'        |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
			И в таблице "План" я перехожу к строке:
				| 'Длительность' | 'Запуск'         | 'Нарушений потребностей' | 'Номенклатура'             | 'Обеспечить' | 'Отправитель'        | 'План' | 'Склад'              | 'Характеристика' |
				| '2 ч'          | '24.08.20 05:00' | '3'                      | 'Цыплята 1 кат /подложка/' | '100 (+100)' | 'Склад  в Белоусово' | '0'    | 'Основной склад ООО' | 'Ашан ООО, 01'   |
			И в таблице "План" я активизирую поле с именем "ПланПредставлениеДляОбеспечения"
			И в таблице "План" я выбираю текущую строку
			Тогда таблица формы с именем "ДвиженияТоваров" стала равной:
				| 'Период'      | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
				| '23.08.20 07:00' | '0'      | ''           | 'Белоусово->Основной' | ''          | ''         | ''          | ''            |
				| '24.08.20 07:00' | '100'    | ''           | 'Белоусово->Основной' | ''          | '100'      | ''          | ''            |
				| '24.08.20 07:00' | ''       | ''           | 'Потребность'         | '100'       | ''         | ''          | ''            |
				| '25.08.20 07:00' | ''       | ''           | 'Потребность'         | ''          | '-150'     | ''          | ''            |
				| '26.08.20 07:00' | ''       | ''           | 'Потребность'         | ''          | '-150'     | ''          | ''            |
			
			Тогда таблица формы с именем "План" стала равной:
				| 'Номенклатура'                                | 'СтрокБезНарушений' | 'План' | 'Обеспечить' | 'Запуск'         | 'Нарушений рек. запаса' |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | '1'                 | '105'  | '105 (=)'    | '24.08.20 05:00' | '3'                     |
				| 'Цыплята 1 кат /подложка/'                    | ''                  | '100'  | '100 (=)'    | '24.08.20 05:00' | ''                      |
			
			Тогда таблица "ДвиженияМатериалов" стала равной:
				| 'Период'      | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
				| ''            | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | ''       | '110'      |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | '-105'   | '5'        |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-100'   | '-100'     |
		* Обеспечение на день
			И я меняю значение переключателя 'ТекущийВыпуск' на '+'
			И я меняю значение переключателя 'ТекущийВыпуск' на '+'
			И я меняю значение переключателя 'ТекущийВыпуск' на '25.08 07:00'
			И я нажимаю на кнопку 'Текущий'
			Тогда таблица "ДвиженияТоваров" стала равной:
				| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
				| ''               | ''       | '20'         | 'Остаток'             | '25'        | ''       | '25'       | '50'        | '500'         |
				| '23.08.20 07:00' | '0'      | '20'         | 'Белоусово->Основной' | '25'        | ''       | '25'       | '50'        | '500'         |
				| '24.08.20 07:00' | '105'    | '30'         | 'Белоусово->Основной' | '25'        | ''       | '130'      | '100'       | '490'         |
				| '24.08.20 07:00' | ''       | '30'         | 'Потребность'         | '130'       | '100'    | '30'       | '100'       | '490'         |
				| '25.08.20 07:00' | '140'    | '20'         | 'Белоусово->Основной' | '30'        | ''       | '170'      | '90'        | '480'         |
				| '25.08.20 07:00' | ''       | '20'         | 'Потребность'         | '170'       | '150'    | '20'       | '90'        | '480'         |
				| '26.08.20 07:00' | '0'      | '10'         | 'Белоусово->Основной' | '20'        | ''       | '20'       | '80'        | '470'         |
				| '26.08.20 07:00' | ''       | '10'         | 'Потребность'         | '20'        | '150'    | '-130'     | '80'        | '470'         |
			Тогда таблица формы с именем "План" стала равной:
				| 'Номенклатура'                                | 'СтрокБезНарушений' | 'План' | 'Обеспечить' | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений рек. запаса' |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | '2'                 | '140'  | '140 (=)'    | '25.08.20 05:00' | '1'                      | '5'                     |
				| 'Цыплята 1 кат /подложка/'                    | ''                  | '150'  | '150 (=)'    | '25.08.20 05:00' | '1'                      | ''                      |
			Тогда таблица "ДвиженияМатериалов" стала равной:
				| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
				| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | ''       | '110'      |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | '-105'   | '5'        |
				| '25.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '5'         | '-140'   | '-135'     |
				| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | ''          | ''       | ''         |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-100'   | '-100'     |
				| '25.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
				| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
			Когда я меняю значение переключателя 'ТекущийВыпуск' на '26.08 07:00'
			Тогда таблица формы с именем "План" стала равной:
				| 'Номенклатура'                                | 'СтрокБезНарушений' | 'План' | 'Обеспечить' | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений рек. запаса' |
				| 'Ассорти из мяса цыплят-бройлеров /подложка/' | '2'                 | '0'    | '140 (+140)' | '26.08.20 05:00' | '1'                      | '5'                     |			
				| 'Цыплята 1 кат /подложка/'                    | ''                  | '0'    | '150 (+150)' | '26.08.20 05:00' | '1'                      | ''                      |
		* Обеспечить все дни
			И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
			И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'До макс. запаса'
			И я нажимаю на кнопку 'Весь'
			И я меняю значение переключателя 'ТекущийВыпуск' на '23.08 07:00'
			И таблица "ДвиженияТоваров" стала равной:
				| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'            | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
				| ''               | ''       | '20'         | 'Остаток'             | '25'        | ''       | '25'       | '50'        | '500'         |
				| '23.08.20 07:00' | '0'      | '20'         | 'Белоусово->Основной' | '25'        | ''       | '25'       | '50'        | '500'         |
				| '24.08.20 07:00' | '565'    | '30'         | 'Белоусово->Основной' | '25'        | ''       | '590'      | '100'       | '490'         |
				| '24.08.20 07:00' | ''       | '30'         | 'Потребность'         | '590'       | '100'    | '490'      | '100'       | '490'         |
				| '25.08.20 07:00' | '140'    | '20'         | 'Белоусово->Основной' | '490'       | ''       | '630'      | '90'        | '480'         |
				| '25.08.20 07:00' | ''       | '20'         | 'Потребность'         | '630'       | '150'    | '480'      | '90'        | '480'         |
				| '26.08.20 07:00' | '140'    | '10'         | 'Белоусово->Основной' | '480'       | ''       | '620'      | '80'        | '470'         |
				| '26.08.20 07:00' | ''       | '10'         | 'Потребность'         | '620'       | '150'    | '470'      | '80'        | '470'         |
			
			И таблица "ДвиженияМатериалов" стала равной:
				| 'Период'         | 'Склад'              | 'Номенклатура'                                | 'Источник'            | 'На начало' | 'Оборот' | 'На конец' |
				| ''               | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Остаток'             | '110'       | ''       | '110'      |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | ''       | '110'      |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | '110'       | '-565'   | '-455'     |
				| '25.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | ''          | '-140'   | '-140'     |
				| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Белоусово->Основной' | ''          | '-140'   | '-140'     |
				| '23.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | ''       | ''         |
				| '24.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-100'   | '-100'     |
				| '25.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
				| '26.08.20 05:00' | 'Склад  в Белоусово' | 'Цыплята 1 кат /подложка/'                    | 'Белоусово->Основной' | ''          | '-150'   | '-150'     |
	И Я закрываю окно 'Обеспечить'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
						
Сценарий: 007.3. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Обеспечение
	Когда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	* Обеспечение Белоусово->Основной
		И в таблице "ДвиженияТоваров" я перехожу к строке:
			| 'Доступных схем обеспечения' | 'Ед.' | 'Источник' | 'макс.' | 'мин.' | 'На конец' | 'На начало' | 'Номенклатура'                                | 'рек.' | 'Склад'              | 'Характеристика' |
			| '1'                          | 'кг'  | 'Остаток'  | '500'   | '20'   | '25'       | '25'        | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '50'   | 'Основной склад ООО' | 'Ашан ООО, 01'   |
		И я нажимаю на кнопку 'Обеспечить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '24.08.2020'
		И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
		И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'До мин. запаса'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		И я нажимаю на кнопку 'Передать результат'
		Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'              | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'            | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО' | ''       | '25'        | ''       | '25'       | 'Остаток'             | '20'   | '50'   | '500'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | '105'    | '25'        | ''       | '130'      | 'Белоусово->Основной' | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '130'       | '100'    | '30'       | 'Потребность'         | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | '140'    | '30'        | ''       | '170'      | 'Белоусово->Основной' | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | '170'       | '150'    | '20'       | 'Потребность'         | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | '140'    | '20'        | ''       | '160'      | 'Белоусово->Основной' | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | '160'       | '150'    | '10'       | 'Потребность'         | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Склад  в Белоусово' | ''       | '110'       | ''       | '110'      | 'Остаток'             | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово' | ''       | '110'       | '105'    | '5'        | 'Белоусово->Основной' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово' | ''       | '5'         | '140'    | '-135'     | 'Белоусово->Основной' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '140'    | '-140'     | 'Белоусово->Основной' | ''     | ''     | ''      | '2'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | '100'    | ''          | ''       | '100'      | 'Белоусово->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '100'       | '100'    | ''         | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | '150'       | '150'    | ''         | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | '150'       | '150'    | ''         | 'Потребность'         | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '100'    | '-100'     | 'Белоусово->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '150'    | '-150'     | 'Белоусово->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '150'    | '-150'     | 'Белоусово->Основной' | ''     | ''     | ''      | '1'                          |
		
		Тогда таблица "ПлановыеДвижения" стала равной:
			| 'Номенклатура'                                | 'Документ' | 'Характеристика' | 'Тип обеспечения' | 'Склад'              | 'Приход' | 'Дата выпуска' | 'Волна'         | 'Расход' | 'Период'         | 'Схема обеспечения'   |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО' | '105'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Белоусово->Основной' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО' | '140'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Белоусово->Основной' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО' | '140'    | '26.08.2020'   | '1 [7:00-9:00]' | ''       | '26.08.20 07:00' | 'Белоусово->Основной' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово' | ''       | '24.08.2020'   | ''              | '105'    | '24.08.20 05:00' | 'Белоусово->Основной' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово' | ''       | '25.08.2020'   | ''              | '140'    | '25.08.20 05:00' | 'Белоусово->Основной' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово' | ''       | '26.08.2020'   | ''              | '140'    | '26.08.20 05:00' | 'Белоусово->Основной' |
			| 'Цыплята 1 кат /подложка/'                    | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО' | '100'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Белоусово->Основной' |
			| 'Цыплята 1 кат /подложка/'                    | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО' | '150'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Белоусово->Основной' |
			| 'Цыплята 1 кат /подложка/'                    | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО' | '150'    | '26.08.2020'   | '1 [7:00-9:00]' | ''       | '26.08.20 07:00' | 'Белоусово->Основной' |
			| 'Цыплята 1 кат /подложка/'                    | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово' | ''       | '24.08.2020'   | ''              | '100'    | '24.08.20 05:00' | 'Белоусово->Основной' |
			| 'Цыплята 1 кат /подложка/'                    | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово' | ''       | '25.08.2020'   | ''              | '150'    | '25.08.20 05:00' | 'Белоусово->Основной' |
			| 'Цыплята 1 кат /подложка/'                    | ''         | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово' | ''       | '26.08.2020'   | ''              | '150'    | '26.08.20 05:00' | 'Белоусово->Основной' |
	* Обеспечение Закупка у конкурентов
		Когда в таблице "ДвиженияТоваров" я перехожу к строке:
			| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'            | 'На конец' | 'На начало' | 'Номенклатура'                                | 'Период'             | 'Расход' | 'Склад'              | 'Характеристика' |
			| '2'                          | 'кг'  | 'Белоусово->Основной' | '-135'     | '5'         | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '25.08.20 05:00' | '140'    | 'Склад  в Белоусово' | 'Ашан ООО, 01'   |
		И я нажимаю на кнопку 'Обеспечить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '23.08.2020'
		И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '2 дня'
		И я нажимаю на кнопку 'Текущий'
		И я нажимаю на кнопку 'Передать результат'
		Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'              | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'              | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО' | ''       | '25'        | ''       | '25'       | 'Остаток'               | '20'   | '50'   | '500'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | '105'    | '25'        | ''       | '130'      | 'Белоусово->Основной'   | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '130'       | '100'    | '30'       | 'Потребность'           | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | '140'    | '30'        | ''       | '170'      | 'Белоусово->Основной'   | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | '170'       | '150'    | '20'       | 'Потребность'           | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | '140'    | '20'        | ''       | '160'      | 'Белоусово->Основной'   | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | '160'       | '150'    | '10'       | 'Потребность'           | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Склад  в Белоусово' | ''       | '110'       | ''       | '110'      | 'Остаток'               | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово' | '135'    | '110'       | ''       | '245'      | 'Закупка у конкурентов' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово' | ''       | '245'       | '105'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово' | ''       | '140'       | '140'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '140'    | '-140'     | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | '100'    | ''          | ''       | '100'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '100'    | '-100'     | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '150'    | '-150'     | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово' | ''       | ''          | '150'    | '-150'     | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
	* Обеспечение Разруб
		Когда в таблице "ДвиженияТоваров" я перехожу к строке:
			| 'Источник'            | 'Номенклатура'                                | 'Период'             | 'Склад'              | 'Характеристика' |
			| 'Белоусово->Основной' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '25.08.20 05:00' | 'Склад  в Белоусово' | 'Ашан ООО, 01'   |
		И я нажимаю на кнопку 'Обеспечить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И из выпадающего списка "Схема" я выбираю точное значение 'Разруб'
		Тогда я жду открытия окна '1С:Предприятие' в течение 20 секунд
		И я нажимаю на кнопку 'Очистить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Весь'
		И я нажимаю на кнопку 'Передать результат'
		Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'              | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'              | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО' | ''       | '25'        | ''       | '25'       | 'Остаток'               | '20'   | '50'   | '500'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | '105'    | '25'        | ''       | '130'      | 'Белоусово->Основной'   | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '130'       | '100'    | '30'       | 'Потребность'           | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | '140'    | '30'        | ''       | '170'      | 'Белоусово->Основной'   | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | '170'       | '150'    | '20'       | 'Потребность'           | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | '140'    | '20'        | ''       | '160'      | 'Белоусово->Основной'   | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | '160'       | '150'    | '10'       | 'Потребность'           | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Склад  в Белоусово' | ''       | '110'       | ''       | '110'      | 'Остаток'               | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово' | '135'    | '110'       | ''       | '245'      | 'Закупка у конкурентов' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово' | ''       | '245'       | '105'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово' | '140'    | '140'       | ''       | '280'      | 'Разруб'                | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово' | ''       | '280'       | '140'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово' | ''       | '140'       | '140'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '100'    | '-100'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | ''          | '150'    | '-150'     | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | '100'    | ''          | ''       | '100'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО' | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО' | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО' | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово' | '250'    | ''          | ''       | '250'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово' | ''       | '250'       | '100'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово' | '150'    | '150'       | ''       | '300'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово' | ''       | '300'       | '150'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово' | ''       | '150'       | '150'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
	* Обеспечение Переработка->Основной
		Когда в таблице "ДвиженияТоваров" я перехожу к строке:
			| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'    | 'На конец' | 'Номенклатура'                          | 'Период'             | 'Расход' | 'Склад'              | 'Характеристика' |
			| '1'                          | 'кг'  | 'Потребность' | '-100'     | 'Колбаски для жарки  "С сыром" /подл./' | '24.08.20 07:00' | '100'    | 'Основной склад ООО' | 'Ашан ООО, 01'   |
		И я нажимаю на кнопку 'Обеспечить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '24.08.2020'
		И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
		И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'Только потребности'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		И я нажимаю на кнопку 'Передать результат'
		Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'                    | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'              | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО'       | ''       | '25'        | ''       | '25'       | 'Остаток'               | '20'   | '50'   | '500'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '105'    | '25'        | ''       | '130'      | 'Белоусово->Основной'   | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '130'       | '100'    | '30'       | 'Потребность'           | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '140'    | '30'        | ''       | '170'      | 'Белоусово->Основной'   | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '170'       | '150'    | '20'       | 'Потребность'           | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '140'    | '20'        | ''       | '160'      | 'Белоусово->Основной'   | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '160'       | '150'    | '10'       | 'Потребность'           | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Склад  в Белоусово'       | ''       | '110'       | ''       | '110'      | 'Остаток'               | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово'       | '135'    | '110'       | ''       | '245'      | 'Закупка у конкурентов' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '245'       | '105'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово'       | '140'    | '140'       | ''       | '280'      | 'Разруб'                | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '280'       | '140'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '140'       | '140'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '100'    | '-100'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '150'    | '-150'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '150'    | '-150'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '100'    | '-100'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '150'    | '-150'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '150'    | '-150'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово'       | '250'    | ''          | ''       | '250'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '250'       | '100'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово'       | '150'    | '150'       | ''       | '300'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '300'       | '150'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '150'       | '150'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
	* Обеспечение Кулинария
		Когда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		И в таблице "ДвиженияТоваров" я перехожу к строке:
			| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'              | 'На конец' | 'Номенклатура'                          | 'Период'             | 'Расход' | 'Склад'                    | 'Характеристика' |
			| '1'                          | 'кг'  | 'Переработка->Основной' | '-100'     | 'Колбаски для жарки  "С сыром" /подл./' | '24.08.20 03:00' | '100'    | 'Цех глубокой переработки' | 'Ашан ООО, 01'   |
		И я нажимаю на кнопку 'Обеспечить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '23.08.2020'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И я нажимаю на кнопку 'Текущий'
		Тогда элемент формы с именем "СхемаОбеспечения" стал равен 'Кулинария'
		И таблица "План" стала равной:
			| 'Номенклатура'                          | 'Характеристика' | 'План' | 'Склад'                    | 'Обеспечить' | 'Спецификация'                          | 'Запуск'         | 'Нарушений потребностей' | 'Нарушений мин. запаса' | 'Нарушений рек. запаса' | 'Документ' | 'СтрокБезНарушений' | 'Нарушений макс. запаса' | 'Длительность' |
			| 'Колбаски для жарки  "С сыром" /подл./' | 'Ашан ООО, 01'   | '150'  | 'Цех глубокой переработки' | '150 (=)'    | 'Колбаски для жарки  "С сыром" /подл./' | '24.08.20 23:00' | ''                       | ''                      | ''                      | ''            | ''                  | ''                       | '8 ч' |
		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Период'         | 'Приход' | 'Мин. запас' | 'Источник'              | 'На начало' | 'Расход' | 'На конец' | 'Рек.запас' | 'Макс. запас' |
			| '23.08.20 07:00' | '100'    | ''           | 'Кулинария'             | ''          | ''       | '100'      | ''          | ''            |
			| '24.08.20 03:00' | ''       | ''           | 'Переработка->Основной' | '100'       | '100'    | ''         | ''          | ''            |
			| '24.08.20 07:00' | '150'    | ''           | 'Кулинария'             | ''          | ''       | '150'      | ''          | ''            |
			| '25.08.20 03:00' | ''       | ''           | 'Переработка->Основной' | '150'       | '150'    | ''         | ''          | ''            |
			| '25.08.20 07:00' | '150'    | ''           | 'Кулинария'             | ''          | ''       | '150'      | ''          | ''            |
			| '26.08.20 03:00' | ''       | ''           | 'Переработка->Основной' | '150'       | '150'    | ''         | ''          | ''            |
		Тогда таблица "ДвиженияМатериалов" стала равной:
			| 'Период'         | 'Склад'            | 'Номенклатура' | 'Источник'  | 'На начало' | 'Оборот' | 'На конец' |
			| '22.08.20 23:00' | 'Склад материалов' | 'ФАРШ ИЗ ФИЛЕ' | 'Кулинария' | ''          | '-22,3'  | '-22,3'    |
			| '23.08.20 23:00' | 'Склад материалов' | 'ФАРШ ИЗ ФИЛЕ' | 'Кулинария' | ''          | '-33,45' | '-33,45'   |
			| '24.08.20 23:00' | 'Склад материалов' | 'ФАРШ ИЗ ФИЛЕ' | 'Кулинария' | ''          | '-33,45' | '-33,45'   |
			| '22.08.20 23:00' | 'Склад материалов' | 'ФАРШ КУРИНЫЙ' | 'Кулинария' | ''          | '-25'    | '-25'      |
			| '23.08.20 23:00' | 'Склад материалов' | 'ФАРШ КУРИНЫЙ' | 'Кулинария' | ''          | '-37,5'  | '-37,5'    |
			| '24.08.20 23:00' | 'Склад материалов' | 'ФАРШ КУРИНЫЙ' | 'Кулинария' | ''          | '-37,5'  | '-37,5'    |
		И я нажимаю на кнопку 'Передать результат'
		Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'                    | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'              | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО'       | ''       | '25'        | ''       | '25'       | 'Остаток'               | '20'   | '50'   | '500'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '105'    | '25'        | ''       | '130'      | 'Белоусово->Основной'   | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '130'       | '100'    | '30'       | 'Потребность'           | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '140'    | '30'        | ''       | '170'      | 'Белоусово->Основной'   | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '170'       | '150'    | '20'       | 'Потребность'           | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '140'    | '20'        | ''       | '160'      | 'Белоусово->Основной'   | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '160'       | '150'    | '10'       | 'Потребность'           | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Склад  в Белоусово'       | ''       | '110'       | ''       | '110'      | 'Остаток'               | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово'       | '135'    | '110'       | ''       | '245'      | 'Закупка у конкурентов' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '245'       | '105'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово'       | '140'    | '140'       | ''       | '280'      | 'Разруб'                | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '280'       | '140'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '140'       | '140'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Цех глубокой переработки' | '100'    | ''          | ''       | '100'      | 'Кулинария'             | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 03:00' | 'Цех глубокой переработки' | ''       | '100'       | '100'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Цех глубокой переработки' | '150'    | ''          | ''       | '150'      | 'Кулинария'             | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 03:00' | 'Цех глубокой переработки' | ''       | '150'       | '150'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Цех глубокой переработки' | '150'    | ''          | ''       | '150'      | 'Кулинария'             | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 03:00' | 'Цех глубокой переработки' | ''       | '150'       | '150'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'ФАРШ ИЗ ФИЛЕ'                                | 'кг'  | ''               | '22.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '22,3'   | '-22,3'    | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ ИЗ ФИЛЕ'                                | 'кг'  | ''               | '23.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '33,45'  | '-33,45'   | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ ИЗ ФИЛЕ'                                | 'кг'  | ''               | '24.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '33,45'  | '-33,45'   | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ КУРИНЫЙ'                                | 'кг'  | ''               | '22.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '25'     | '-25'      | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ КУРИНЫЙ'                                | 'кг'  | ''               | '23.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '37,5'   | '-37,5'    | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ КУРИНЫЙ'                                | 'кг'  | ''               | '24.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '37,5'   | '-37,5'    | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '100'    | '-100'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '150'    | '-150'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 03:00' | 'Цех глубокой переработки' | ''       | ''          | '150'    | '-150'     | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово'       | '250'    | ''          | ''       | '250'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '250'       | '100'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово'       | '150'    | '150'       | ''       | '300'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '300'       | '150'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '150'       | '150'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |	
	* Обеспечение Фарш
		Когда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		И в таблице "ДвиженияТоваров" я перехожу к строке:
			| 'Доступных схем обеспечения' | 'Ед.' | 'Источник'              | 'На конец' | 'Номенклатура'                         | 'Период'             | 'Расход' | 'Склад'                    | 'Характеристика' |
			| '1'                          | 'кг'  | 'Переработка->Основной' | '-100'     | 'Фарш куриный натуральный / подложка/' | '24.08.20 03:00' | '100'    | 'Цех глубокой переработки' | 'Ашан ООО, 01'   |				
		И я нажимаю на кнопку 'Обеспечить'
		Тогда я жду открытия окна 'Обеспечить' в течение 20 секунд
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '24.08.2020'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И из выпадающего списка с именем "ПериодовОбеспечения" я выбираю точное значение '1 день'
		И из выпадающего списка "УровеньОбеспечения" я выбираю точное значение 'Только потребности'
		И я нажимаю на кнопку 'Весь'
		И я меняю значение переключателя 'ТекущийВыпуск' на '+'
		И из выпадающего списка с именем "ДатаВыпуска" я выбираю точное значение '23.08.2020'
		И я нажимаю на кнопку 'Весь'
		И я нажимаю на кнопку 'Передать результат'
		Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
		Тогда Я проверяю движения в АРМе после всех операций
		
Сценарий: 007.4. SCP. АРМ планирования цепочек поставок с настроенными НСИ. Создание документов
	
	Когда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И я перехожу к закладке "Планы"
	И я нажимаю на кнопку 'Создать/Обновить документы'
	Тогда Я проверяю плановые движения АРМа с документами

Сценарий: 007.5. SCP. Завершение.

	И Я закрыл все окна клиентского приложения